CLIENT(8)

NAME
client - add or remove diskless Sun386i systems

SYNOPSIS
client [ -a arch ] [ -h hostid ] [ -o os ] [ -q ] [ -t minutes ] add bootserver client etheraddress ipaddress

client remove client

client modify client [ diskful | diskless | slave ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

client can be used to manually add and remove diskless clients of a PNP boot server. After successful completion of the command, the diskless client can boot. Only users in the networks group (group 12) on the boot server are allowed to change configurations using this utility. client can be invoked from any system on the network.

The boot server of a system is the only machine truly required for that system to boot to the point of allowing user logins; it must accordingly provide name, booting, and time services. Diskless clients can provide none of these services themselves. Diskful clients, however can provide most of their own boot services. Network clients only need name and time services from the network, and can use any boot server.

To add a diskless client, use the add operation. To remove a diskless, diskful, or network client, use the remove operation. To change a system's network role, use the modify operation.

A server can reject a configuration request if it is disallowed by the contents of the bootservers map (e.g., too many clients would be configured, or too little free space would be left on the server), or if no system software for the client is available.

OPTIONS

-a arch
    Specifies the architecture code of the client; it defaults to s386. (Note: architecture codes are different from architecture names. Architecture codes are used in diskless booting, and are at most five characters in length, while architecture names can be longer.)

-h hostid
    Specifies the host ID of the client; if supplied, it is used as the root password for the system. It defaults to the null string.

-o os
    Specifies the operating system; defaults to 'unix'. This is currently used only to construct the system's publickey data, where applicable; this is never done if the system has no hostid specified.

-q  Quiet. Displays only error messages.

-t minutes
    Sets the RPC timeout to the number of minutes indicated; this defaults to 15 minutes. If the bootserver takes more time than this to complete, client will exit. Unless the server has already completed setup, but not yet sent status to client, this will cause the bootserver to back out of the setup, deallocating all assigned resources.

SEE ALSO
publickey(5) netconfig(8C), pnpd(8C),

BUGS

Unless the hostid is assigned, the root filesystem for the diskless client is not set up beyond copying the proto and boot files into it. This means that netconfig will often handle other parts of the setup.